> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/import-commands/importing-assets/asset-names.md).

# Asset names

In Collibra Data Governance Center version 5.4 or newer, including Collibra Platform, there is a significant API change impacting asset names. Starting with this version, assets have names and unique full names, respectively referred to as `displayName` and `name` in the API . In older versions, you only had `name` to refer to the asset name.

| Action via API | Behavior                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Add asset      | <p>When you add an asset via an API call, you must enter a <code>name</code> and you can specify a different <code>displayName</code>:</p><ul><li><code>name</code>: This is the mandatory unique full name of the asset and is represented by <strong>Full name</strong> in the UI.</li><li><code>displayName</code>: This value is optional and corresponds to the asset <strong>Name</strong> in the UI.</li></ul><div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>If you don't specify a <code>displayName</code> ,it automatically defaults to the value of <code>name</code>.</p></div> |
| Update asset   | <p>You can use <code>name</code> to update the asset <strong>Full name</strong> and <code>displayName</code>, to update the asset <strong>Name</strong>.</p><div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>During an update operation, the <code>displayName</code> does not change if you only update the <code>name</code>.</p></div>                                                                                                                                                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/import-commands/importing-assets/asset-names.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
